## org.springframework.beans.factory.parsing
Class QualifierEntry

    java.lang.Object
      org.springframework.beans.factory.parsing.QualifierEntry

All Implemented Interfaces:
  ParseState.Entry

    public class QualifierEntry

extends Object
implements ParseState.Entry

`ParseState` entry representing an autowire candidate qualifier.

Since:
  2.5
Author:
  Mark Fisher

Constructor Summary
`QualifierEntry(String typeName)`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QualifierEntry

    public QualifierEntry(String typeName)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2002-2008 The Spring Framework.